nifi-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (Jira)" <j...@apache.org>
Subject [jira] [Commented] (NIFI-7135) Fix Java 11 build with com.puppycrawl.tools:checkstyle:jar:8.29 dependency
Date Thu, 20 Feb 2020 04:38:00 GMT

    [ https://issues.apache.org/jira/browse/NIFI-7135?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17040620#comment-17040620
] 

ASF subversion and git services commented on NIFI-7135:
-------------------------------------------------------

Commit 41518d953cde9776451a7f395747acd7cc8beb7a in nifi's branch refs/heads/master from Pierre
Villard
[ https://gitbox.apache.org/repos/asf?p=nifi.git;h=41518d9 ]

NIFI-7135 - Fix Java 11 build with com.puppycrawl.tools:checkstyle:jar:8.29 dependency

This closes #4050.

Signed-off-by: Andy LoPresto <alopresto@apache.org>


> Fix Java 11 build with com.puppycrawl.tools:checkstyle:jar:8.29 dependency
> --------------------------------------------------------------------------
>
>                 Key: NIFI-7135
>                 URL: https://issues.apache.org/jira/browse/NIFI-7135
>             Project: Apache NiFi
>          Issue Type: Bug
>          Components: Tools and Build
>            Reporter: Pierre Villard
>            Assignee: Pierre Villard
>            Priority: Major
>          Time Spent: 0.5h
>  Remaining Estimate: 0h
>
> Since the upgrade of com.puppycrawl.tools:checkstyle to 8.29 (NIFI-7108), the Java 11
build on Travis is failing with:
> {code:java}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-checkstyle-plugin:3.1.0:check
(check-style) on project nifi: Execution check-style of goal org.apache.maven.plugins:maven-checkstyle-plugin:3.1.0:check
failed: Plugin org.apache.maven.plugins:maven-checkstyle-plugin:3.1.0 or one of its dependencies
could not be resolved: Could not find artifact com.puppycrawl.tools:checkstyle:jar:8.29 in
bintray (https://dl.bintray.com/groovy/maven) -> [Help 1]{code}
> It looks like plugin dependencies are only resolved against: 
> {code:java}
>     <pluginRepositories>
>         <pluginRepository>
>             <id>bintray</id>
>             <name>Groovy Bintray</name>
>             <url>https://dl.bintray.com/groovy/maven</url>
>             <releases>
>                 <updatePolicy>never</updatePolicy>
>             </releases>
>             <snapshots>
>                 <enabled>false</enabled>
>             </snapshots>
>         </pluginRepository>
>     </pluginRepositories>
> {code}
>  I suggest to add Maven repository as an additional plugin repository.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message